SystemOrganization addCategory: #ConfigurationOfNautilus!

Object subclass: #ConfigurationOfNautilus
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfNautilus'!

!ConfigurationOfNautilus commentStamp: 'BenjaminVanRyseghem 3/17/2011 16:24' prior: 0!
Gofer new
     squeaksource: 'PharoTaskForces';
     package: 'ConfigurationOfRPackage';
     load.

(Smalltalk at: #ConfigurationOfRPackage) perform: #loadDefault.

(ConfigurationOfNautilus project version: '1.0') load.

!

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:19'!
alpha

	(self project version: 'alpha') load! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/27/2011 15:44'!
loadDefault

	(self project version: '2.3') load! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
project

	^self new project! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:18'!
stable

	(self project version: '2.1') load! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/18/2011 15:58'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		spec package: 'AST-Core'.
		
		spec repository: 'http://www.squeaksource.com/rb'.
		spec package: 'AST-Core'.
		spec package: 'Refactoring-Environment' with: [ spec requires: 'AST-Core' ]
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/18/2011 18:52'!
baseline20: spec 
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:16'!
baseline21: spec 
	<version: '2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/24/2011 16:39'!
baseline22: spec 
	<version: '2.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/27/2011 15:43'!
baseline23: spec 
	<version: '2.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [ spec requires: 'Refactoring-Environment' ].
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:19'!
baselinealpha: spec 
	<version: 'alpha-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/18/2011 15:58'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'First release 1.0 of this project '.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package: 'GroupManagerUI'.
		spec package: 'Nautilus'.
		
		spec package: 'AST-Core' with: 'AST-Core-lr.87'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-lr.1'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 3/19/2011 15:58'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.0: Now we are using our own version of Refactoring-Environment, waiting they get integrated'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.6'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package: 'GroupManagerUI'.
		spec package: 'Nautilus'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:18'!
version21: spec
	<version: '2.1' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.1: Almost usable'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.8'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.3'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.5'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.2'.
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.8'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/24/2011 16:43'!
version22: spec
	<version: '2.2' imports: #('2.2-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.2: Speed improvements'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package: 'GroupManagerUI'.
		spec package: 'Nautilus'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/27/2011 15:44'!
version23: spec
	<version: '2.3' imports: #('2.3-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.3: Pre-Beta'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package: 'GroupManagerUI'.
		spec package: 'Nautilus'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:21'!
versionalpha: spec
	<version: 'alpha' imports: #('alpha-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version alpha: always the last version of each package'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package: 'GroupManagerUI'.
		spec package: 'Nautilus'.
	
		spec package: 'Refactoring-Environment'.
		spec package: 'Refactoring-Tests-Environment'.
			
	]		! !
